For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • POSTCreate a pronunciation dictionary from a file
      • POSTCreate a pronunciation dictionary from rules
      • GETGet pronunciation dictionary
      • PATCHUpdate Pronunciation Dictionary
      • GETGet pronunciation dictionary by version
      • GETList pronunciation dictionaries
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIPronunciation Dictionaries

Update Pronunciation Dictionary

PATCH
/v1/pronunciation-dictionaries/:pronunciation_dictionary_id
PATCH
/v1/pronunciation-dictionaries/:pronunciation_dictionary_id
$curl -X PATCH https://api.elevenlabs.io/v1/pronunciation-dictionaries/pronunciation_dictionary_id \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "5xM3yVvZQKV0EfqQpLrJ",
3 "latest_version_id": "5xM3yVvZQKV0EfqQpLr2",
4 "latest_version_rules_num": 2,
5 "name": "My Dictionary",
6 "permission_on_resource": "admin",
7 "created_by": "ar6633Es2kUjFXBdR1iVc9ztsXl1",
8 "creation_time_unix": 1714156800,
9 "description": "This is a test dictionary"
10}
Partially update the pronunciation dictionary without changing the version
Was this page helpful?
Previous

Get pronunciation dictionary by version

Next
Built with

Path parameters

pronunciation_dictionary_idstringRequired
The id of the pronunciation dictionary

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
archivedbooleanOptional
Whether to archive the pronunciation dictionary.
namestringOptional
The name of the pronunciation dictionary, used for identification only.

Response

Successful Response
idstring
The ID of the pronunciation dictionary.
latest_version_idstring
The ID of the latest version of the pronunciation dictionary.
latest_version_rules_numinteger
The number of rules in the latest version of the pronunciation dictionary.
namestring
The name of the pronunciation dictionary.
permission_on_resourceenum or null
The permission on the resource of the pronunciation dictionary.
Allowed values:
created_bystring
The user ID of the creator of the pronunciation dictionary.
creation_time_unixinteger
The creation time of the pronunciation dictionary in Unix timestamp.
archived_time_unixinteger or null
The archive time of the pronunciation dictionary in Unix timestamp.
descriptionstring or null
The description of the pronunciation dictionary.

Errors

422
Unprocessable Entity Error